%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Name:		tqsllib
Version:	2.2
Release:	%mkrel 3
Summary:	The TrustedQSL library
Group:		System/Libraries
License:	BSD
URL:		http://sourceforge.net/projects/trustedqsl/
Source:		http://downloads.sourceforge.net/sourceforge/trustedqsl/%{name}-%{version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	expat-devel
BuildRequires:	zlib-devel

%package -n %{libname}
Summary:        The TrustedQSL library
Group:          System/Libraries

%package -n %{devname}
Summary:	The TrustedQSL Library development tools
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description
The TrustedQSL library is used for generating digitally signed
QSO records (records of Amateur Radio contacts).

This package contains the configuration file to run TrustedQSL
applications and a sample program that dumps the configuration
file.

%description -n %{libname}
The TrustedQSL library is used for generating digitally signed
QSO records (records of Amateur Radio contacts).

This package contains the libraries needed to run TrustedQSL
applications.

%description -n %{devname}
The TrustedQSL library is used for generating digitally signed
QSO records (records of Amateur Radio contacts).

This package contains the header files needed to build TrustedQSL
applications as well as a tqsllib library and API documentation.

%prep
%setup -q

# cleanup CVS directories (wrongly packed in source)
rm -rf doxygen/html/CVS

%build
#openssl, expat, zlib detection is broken on other archs
#we disable detection to keep configure happy
export OPENSSL=%{_prefix}
export EXPAT=%{_prefix}
export ZLIB=%{_prefix}

# use --disable-docs because RPM handles docs itself
%configure2_5x \
	--disable-docs \
	--disable-rpath \
	--disable-static \
	--without-openssl \
	--without-expat \
	--without-zlib

#rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#unfortunately parallel build is broken
make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE ChangeLog
%{_bindir}/dumptqsldata
%{_datadir}/tqsl

%files -n %{libname}
%defattr(-,root,root,-)
%doc LICENSE ChangeLog
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%defattr(-,root,root,-)
%doc LICENSE ChangeLog doxygen/html
%{_libdir}/lib%{name}.so
%{_includedir}/*.h


%changelog
* Sun Jun 19 2011 wally <wally> 2.2-3.mga2
+ Revision: 109769
- fix a typo in description (spotted by Barry Jackson)

* Sat Jun 18 2011 wally <wally> 2.2-2.mga2
+ Revision: 109507
- imported package tqsllib

